From fda9158b2f2c7b3f45e828de3390190decb5a623 Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jun 12 2018 04:52:12 +0000
Subject: [PATCH 9/15] Ensure to clean files for generating HTML documents


Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/doc/Makefile b/doc/Makefile
index bac3659..7e5c430 100644
--- a/doc/Makefile
+++ b/doc/Makefile
@@ -11,9 +11,10 @@ BUILDDIR      = build
 all: clean-command-docs generate-man-pages-list html man
 .PHONY: all
 
-clean-command-docs:
+clean-files:
 	@rm -f "$(SOURCEDIR)/commands/*.rst"
-.PHONY: clean-command-docs
+	@rm $(SOURCEDIR)/cli.rst
+.PHONY: clean-files
 
 clean-man-pages:
 	@rm -rf "$(BUILDDIR)/man/"
@@ -27,6 +28,6 @@ man: clean-man-pages
 	@$(SPHINXBUILD) -b man "$(SOURCEDIR)" "$(BUILDDIR)/man/"
 .PHONY: man
 
-html:
+html: clean-files generate-man-pages-list
 	@$(SPHINXBUILD) -E -b html "$(SOURCEDIR)" "$(BUILDDIR)/html/"
 .PHONY: html

